/****************************************************************************
**
*W  cyclotom.h                  GAP source                   Martin Schoenert
**
*H  @(#)$Id: cyclotom.h,v 4.6 1998/01/15 17:05:31 ahulpke Exp $
**
*Y  Copyright (C)  1996,  Lehrstuhl D fuer Mathematik,  RWTH Aachen,  Germany
*Y  (C) 1998 School Math and Comp. Sci., University of St.  Andrews, Scotland
**
**  This file implements the arithmetic for elements from  cyclotomic  fields
**  $Q(e^{{2 \pi i}/n}) = Q(e_n)$,  which  we  call  cyclotomics  for  short.
*/
#ifdef  INCLUDE_DECLARATION_PART
const char * Revision_cyclotom_h =
   "@(#)$Id: cyclotom.h,v 4.6 1998/01/15 17:05:31 ahulpke Exp $";
#endif


/****************************************************************************
**

*F * * * * * * * * * * * * * initialize package * * * * * * * * * * * * * * *
*/


/****************************************************************************
**

*F  InitInfoCyc() . . . . . . . . . . . . . . . . . . table of init functions
*/
StructInitInfo * InitInfoCyc ( void );


/****************************************************************************
**

*E  cyclotom.h  . . . . . . . . . . . . . . . . . . . . . . . . . . ends here
*/


